tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg_install 20100204 ok? - make replace in kermit fails

Joerg Sonnenberger <> writes:

> On Fri, Feb 05, 2010 at 06:42:28AM -0500, Greg Troxel wrote:
>> ===> Updating using binary package of kermit-8.0.211nb4
>> /usr/pkg/sbin/pkg_add -K /var/db/pkg -U 
>> /n0/gdt/NetBSD-current/pkgsrc/packages/Al
>> l/kermit-8.0.211nb4.tgz
>> pkg_add: Conflicting PLIST with kermit-8.0.211nb2: bin/kermit
>> pkg_add: 1 package addition failed
>> *** Error code 1
> (a) Are you sure that only one version of kermit is installed?

Definitely one now, and I am 99.9% sure that was already true.

> (b) Is the file database consistent as well (pkg_admin rebuild)?

After the problem, I turned PKG_DEVELOPER off and then ran pkg_rr, which
replaced 282 packages (including kermit).  I probably also updated mk
and pkgtools Now, make replace of kermit works fine.

I posted because the error message was odd; the PLIST will of course
overlap the previous version.  But I have found an old binary package on
my box of nb3, so maybe I had nb2 and nb3 both.  In that case it would
be nice for pkg_add to notice multiple "pkg to be replaced" values and
complain about that.

Attachment: pgpHFOFnddR01.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index